##by RenardElectric

clear @a crafting_table

clear @a[nbt=!{Inventory:[{id:"minecraft:nether_star",Slot:0b}]}] nether_star{CustomModelData:1}
clear @a[nbt=!{Inventory:[{id:"minecraft:nether_star",Slot:0b}]}] nether_star{CustomModelData:2}
clear @a[nbt=!{Inventory:[{id:"minecraft:nether_star",Slot:0b}]}] nether_star{CustomModelData:3}
clear @a[nbt=!{Inventory:[{id:"minecraft:nether_star",Slot:1b}]}] nether_star{CustomModelData:4}
clear @a[nbt=!{Inventory:[{id:"minecraft:nether_star",Slot:1b}]}] nether_star{CustomModelData:5}
clear @a[nbt=!{Inventory:[{id:"minecraft:nether_star",Slot:1b}]}] nether_star{CustomModelData:6}
clear @a[nbt=!{Inventory:[{id:"minecraft:nether_star",Slot:2b}]}] nether_star{CustomModelData:7}
clear @a[nbt=!{Inventory:[{id:"minecraft:nether_star",Slot:2b}]}] nether_star{CustomModelData:8}
clear @a[nbt=!{Inventory:[{id:"minecraft:nether_star",Slot:2b}]}] nether_star{CustomModelData:9}

execute if score time_min time matches 2 if score time_sec time matches 30 run scoreboard players set @a[tag=alive,scores={trophy=0}] trophy 1
execute if score time_min time matches 5 run scoreboard players set @a[tag=alive,scores={trophy=1}] trophy 2
execute if score time_min time matches 7 if score time_sec time matches 30 run scoreboard players set @a[tag=alive,scores={trophy=2}] trophy 3

execute as @a[scores={Victory=5..24},tag=dead] run replaceitem entity @s hotbar.0 nether_star{CustomModelData:1}
execute as @a[scores={Victory=25..49},tag=dead] run replaceitem entity @s hotbar.0 nether_star{CustomModelData:2}
execute as @a[scores={Victory=50},tag=dead] run replaceitem entity @s hotbar.0 nether_star{CustomModelData:3}

execute as @a[scores={jump_complete=1..4},tag=dead] run replaceitem entity @s hotbar.1 nether_star{CustomModelData:4}
execute as @a[scores={jump_complete=5..14},tag=dead] run replaceitem entity @s hotbar.1 nether_star{CustomModelData:5}
execute as @a[scores={jump_complete=15..},tag=dead] run replaceitem entity @s hotbar.1 nether_star{CustomModelData:6}

execute as @a[scores={trophy=1},tag=dead] run replaceitem entity @s hotbar.2 nether_star{CustomModelData:7}
execute as @a[scores={trophy=2},tag=dead] run replaceitem entity @s hotbar.2 nether_star{CustomModelData:8}
execute as @a[scores={trophy=3},tag=dead] run replaceitem entity @s hotbar.2 nether_star{CustomModelData:9}

fill 104 72 39 184 72 -23 air

data merge entity @e[type=armor_stand,limit=1,sort=random] {Fire:0}

execute if score victory Teams matches 1 run function mansion:game/victory
execute if score solo_co-op Teams matches 1 run function mansion:teams/team/team_solo_co-op

data merge entity @e[type=spectral_arrow,sort=random,limit=1] {life:1200}
data merge entity @e[type=arrow,sort=random,limit=1] {life:1200}

effect give @a[tag=dead] minecraft:regeneration 1000000 1 true
effect give @a[tag=dead] minecraft:saturation 1000000 0 true
effect give @a[tag=dead] minecraft:resistance 1000000 0 true
effect give @a[tag=dead] minecraft:fire_resistance 1000000 0 true
effect clear @a[tag=dead] minecraft:glowing
effect clear @a[tag=dead] minecraft:slowness

xp set @a 0

spawnpoint @a[x=15,y=4,z=17,distance=..1] 11 5 19
spawnpoint @a[x=15,y=4,z=-1,distance=..1] 11 5 19

kill @e[type=minecraft:item]
gamerule showDeathMessages false
tp @e[type=wolf,x=13,y=4,z=8,distance=..50] 7 39 8
kill @e[type=wolf,x=13,y=4,z=8,distance=..50]
clear @a[x=65,y=36,z=8,distance=..25] emerald
clear @a[nbt=!{Inventory:[{id:"minecraft:emerald",Slot:4b}]}] emerald
tag @a[scores={dropItem=1..},x=65,y=36,z=8,distance=25..] add silent
kill @a[scores={dropItem=1..},x=65,y=36,z=8,distance=25..]
replaceitem entity @a[tag=dead,x=65,y=36,z=8,distance=25..] hotbar.4 emerald{display:{Name:'{"text":"Reset","italic":false,"color":"green","underlined":true,"bold":true}',Lore:['[{"text":"Drop to reset","italic":false}]']}} 1
scoreboard players reset @a[scores={dropItem=1..}] dropItem
gamerule showDeathMessages true

scoreboard players reset @a[tag=!Miner] fireball
scoreboard players reset @a[tag=!Chickenman] snowballs

effect give @a[scores={value=1}] minecraft:night_vision 1000000 0 true
effect clear @a[scores={value=0}] minecraft:night_vision
effect give @a[gamemode=spectator] glowing 1000000 0 true

execute if score time time matches 20.. run scoreboard players add time_sec time 1
execute if score time time matches 20.. run scoreboard players add time_abilityes_1 time 1
execute if score time time matches 20.. run scoreboard players add time_abilityes_2 time 1
execute if score time time matches 20.. run scoreboard players add time_abilityes_3 time 1
execute if score time time matches 20.. run scoreboard players set time time 0
execute if score time_abilityes_1 time matches 5 run function mansion:game/every_5_sec
execute if score time_abilityes_3 time matches 20 run function mansion:game/every_20_sec
execute if score time_abilityes_1 time matches 5.. run scoreboard players set time_abilityes_1 time 0
execute if score time_abilityes_2 time matches 10.. run scoreboard players set time_abilityes_2 time 0
execute if score time_abilityes_3 time matches 20.. run scoreboard players set time_abilityes_3 time 0
execute if score time_sec time matches 60.. run scoreboard players add time_min time 1
execute if score time_sec time matches 60.. run scoreboard players set time_sec time 0

execute if score time_ok time matches 1 run scoreboard players add time time 1

title @a[scores={time=1}] actionbar ["",{"score":{"name":"time_min","objective":"time"},"color":"#FF0000"},{"text":" min ","color":"#FF0000"},{"score":{"name":"time_sec","objective":"time"},"color":"#FF0000"},{"text":" sec","color":"#FF0000"}]

replaceitem entity @a[tag=Wolfking,tag=alive,nbt=!{Inventory:[{id:"minecraft:wooden_sword",Count:1b}]},nbt=!{Inventory:[{id:"minecraft:wooden_sword",Count:1b}]}] hotbar.0 minecraft:wooden_sword{Unbreakable:1}
replaceitem entity @a[tag=Wolfking,tag=alive,nbt=!{Inventory:[{id:"minecraft:fishing_rod",Count:1b}]},nbt=!{Inventory:[{id:"minecraft:fishing_rod",Count:2b}]}] hotbar.1 minecraft:fishing_rod{Unbreakable:1}
replaceitem entity @a[tag=Wolfking,tag=alive,nbt=!{Inventory:[{id:"minecraft:lead",Count:1b}]},nbt=!{Inventory:[{id:"minecraft:lead",Count:2b}]}] hotbar.2 minecraft:lead
replaceitem entity @a[tag=Wolfking,tag=alive,nbt=!{Inventory:[{id:"minecraft:name_tag",Count:1b}]},nbt=!{Inventory:[{id:"minecraft:name_tag",Count:2b}]}] hotbar.3 minecraft:name_tag{display:{Name:'[{"text":"Name your wolfs","color":"gray","underlined":true,"bold":true}]'}}
replaceitem entity @a[tag=Wolfking,tag=alive,gamemode=!adventure,nbt=!{Inventory:[{id:"minecraft:oak_log",Count:1b}]},nbt=!{Inventory:[{id:"minecraft:oak_log",Count:2b}]}] hotbar.4 minecraft:oak_log

replaceitem entity @a[tag=Miner,tag=alive,nbt=!{Inventory:[{id:"minecraft:crossbow",Count:1b}]},nbt=!{Inventory:[{id:"minecraft:crossbow",Count:2b}]}] hotbar.0 minecraft:crossbow{Unbreakable:1,Enchantments:[{id:"multishot",lvl:1}]}
replaceitem entity @a[tag=Miner,tag=alive,gamemode=!adventure,nbt=!{Inventory:[{id:"minecraft:iron_pickaxe",Count:1b}]},nbt=!{Inventory:[{id:"minecraft:iron_pickaxe",Count:2b}]}] hotbar.1 minecraft:iron_pickaxe{Unbreakable:1}
replaceitem entity @a[tag=Miner,tag=alive,gamemode=!adventure,nbt=!{Inventory:[{id:"minecraft:oak_slab",Count:1b}]},nbt=!{Inventory:[{id:"minecraft:oak_slab",Count:2b}]}] hotbar.2 minecraft:oak_slab

replaceitem entity @a[tag=Flyingman,tag=alive,nbt=!{Inventory:[{id:"minecraft:bow",Count:1b}]},nbt=!{Inventory:[{id:"minecraft:bow",Count:2b}]}] hotbar.0 minecraft:bow{Unbreakable:1,display:{color:0,Name:'[{"text":"Bow of the ","italic":false,"color":"white","bold":true},{"text":"Hell","color":"red"}]'},Enchantments:[{id:"binding_curse",lvl:1},{id:"flame",lvl:1}]}
replaceitem entity @a[tag=Flyingman,tag=alive,gamemode=!adventure,nbt=!{Inventory:[{id:"minecraft:oak_planks",Count:1b}]},nbt=!{Inventory:[{id:"minecraft:oak_planks",Count:2b}]}] hotbar.1 minecraft:oak_planks

replaceitem entity @a[tag=Firefighter,tag=alive,nbt=!{Inventory:[{id:"minecraft:iron_axe",Count:1b}]},nbt=!{Inventory:[{id:"minecraft:iron_axe",Count:2b}]}] hotbar.0 minecraft:iron_axe{Unbreakable:1}
replaceitem entity @a[tag=Firefighter,tag=alive,gamemode=!adventure,nbt=!{Inventory:[{id:"minecraft:oak_wood",Count:1b}]},nbt=!{Inventory:[{id:"minecraft:oak_wood",Count:2b}]}] hotbar.1 minecraft:oak_wood

replaceitem entity @a[tag=Chickenman,tag=alive,nbt=!{Inventory:[{id:"minecraft:iron_sword",Count:1b}]},nbt=!{Inventory:[{id:"minecraft:iron_sword",Count:2b}]}] hotbar.0 minecraft:iron_sword{Unbreakable:1}
replaceitem entity @a[tag=Chickenman,tag=alive,gamemode=!adventure,nbt=!{Inventory:[{id:"minecraft:shears",Count:1b}]},nbt=!{Inventory:[{id:"minecraft:shears",Count:2b}]}] hotbar.1 minecraft:shears{Unbreakable:1}
replaceitem entity @a[tag=Chickenman,tag=alive,team=red,gamemode=!adventure,nbt=!{Inventory:[{id:"minecraft:red_wool",Count:1b}]},nbt=!{Inventory:[{id:"minecraft:red_wool",Count:2b}]}] hotbar.2 minecraft:red_wool
replaceitem entity @a[tag=Chickenman,tag=alive,team=green,gamemode=!adventure,nbt=!{Inventory:[{id:"minecraft:lime_wool",Count:1b}]},nbt=!{Inventory:[{id:"minecraft:lime_wool",Count:2b}]}] hotbar.2 minecraft:lime_wool
replaceitem entity @a[tag=Chickenman,tag=alive,team=co-op,gamemode=!adventure,nbt=!{Inventory:[{id:"minecraft:orange_wool",Count:1b}]},nbt=!{Inventory:[{id:"minecraft:orange_wool",Count:2b}]}] hotbar.2 minecraft:orange_wool
replaceitem entity @a[tag=Chickenman,tag=alive,team=blue,gamemode=!adventure,nbt=!{Inventory:[{id:"minecraft:blue_wool",Count:1b}]},nbt=!{Inventory:[{id:"minecraft:blue_wool",Count:2b}]}] hotbar.2 minecraft:blue_wool
replaceitem entity @a[tag=Chickenman,tag=alive,team=solo,gamemode=!adventure,nbt=!{Inventory:[{id:"minecraft:white_wool",Count:1b}]},nbt=!{Inventory:[{id:"minecraft:white_wool",Count:2b}]}] hotbar.2 minecraft:white_wool
replaceitem entity @a[tag=Chickenman,tag=alive,team=white,gamemode=!adventure,nbt=!{Inventory:[{id:"minecraft:white_wool",Count:1b}]},nbt=!{Inventory:[{id:"minecraft:white_wool",Count:2b}]}] hotbar.2 minecraft:white_wool
replaceitem entity @a[tag=Chickenman,tag=alive,team=black,gamemode=!adventure,nbt=!{Inventory:[{id:"minecraft:black_wool",Count:1b}]},nbt=!{Inventory:[{id:"minecraft:black_wool",Count:2b}]}] hotbar.2 minecraft:black_wool
replaceitem entity @a[tag=Chickenman,tag=alive,team=yellow,gamemode=!adventure,nbt=!{Inventory:[{id:"minecraft:yellow_wool",Count:1b}]},nbt=!{Inventory:[{id:"minecraft:yellow_wool",Count:2b}]}] hotbar.2 minecraft:yellow_wool

replaceitem entity @a[tag=Golem,tag=alive,nbt=!{Inventory:[{id:"minecraft:stone_axe",Count:1b}]},nbt=!{Inventory:[{id:"minecraft:stone_axe",Count:2b}]}] hotbar.0 minecraft:stone_axe{Unbreakable:1}
replaceitem entity @a[tag=Golem,tag=alive,gamemode=!adventure,nbt=!{Inventory:[{id:"minecraft:stripped_oak_log",Count:1b}]},nbt=!{Inventory:[{id:"minecraft:stripped_oak_log",Count:2b}]}] hotbar.1 minecraft:stripped_oak_log

execute if score time time matches 1 run data merge entity @e[name="Name your wolfs",type=wolf,sort=random,limit=1] {CustomName:'{"text":"Brutus"}'}
execute if score time time matches 2 run data merge entity @e[name="Name your wolfs",type=wolf,sort=random,limit=1] {CustomName:'{"text":"Caesar"}'}
execute if score time time matches 3 run data merge entity @e[name="Name your wolfs",type=wolf,sort=random,limit=1] {CustomName:'{"text":"Bob"}'}
execute if score time time matches 4 run data merge entity @e[name="Name your wolfs",type=wolf,sort=random,limit=1] {CustomName:'{"text":"Max"}'}
execute if score time time matches 5 run data merge entity @e[name="Name your wolfs",type=wolf,sort=random,limit=1] {CustomName:'{"text":"Omega"}'}
execute if score time time matches 6 run data merge entity @e[name="Name your wolfs",type=wolf,sort=random,limit=1] {CustomName:'{"text":"Rex"}'}
execute if score time time matches 7 run data merge entity @e[name="Name your wolfs",type=wolf,sort=random,limit=1] {CustomName:'{"text":"Sparky"}'}
execute if score time time matches 8 run data merge entity @e[name="Name your wolfs",type=wolf,sort=random,limit=1] {CustomName:'{"text":"Goliath"}'}
execute if score time time matches 9 run data merge entity @e[name="Name your wolfs",type=wolf,sort=random,limit=1] {CustomName:'{"text":"Randolph"}'}
execute if score time time matches 10 run data merge entity @e[name="Name your wolfs",type=wolf,sort=random,limit=1] {CustomName:'{"text":"Balto"}'}
execute if score time time matches 11 run data merge entity @e[name="Name your wolfs",type=wolf,sort=random,limit=1] {CustomName:'{"text":"Raven"}'}
execute if score time time matches 12 run data merge entity @e[name="Name your wolfs",type=wolf,sort=random,limit=1] {CustomName:'{"text":"Arwen"}'}
execute if score time time matches 13 run data merge entity @e[name="Name your wolfs",type=wolf,sort=random,limit=1] {CustomName:'{"text":"Belle"}'}
execute if score time time matches 14 run data merge entity @e[name="Name your wolfs",type=wolf,sort=random,limit=1] {CustomName:'{"text":"Vala"}'}
execute if score time time matches 15 run data merge entity @e[name="Name your wolfs",type=wolf,sort=random,limit=1] {CustomName:'{"text":"Lilka"}'}
execute if score time time matches 16 run data merge entity @e[name="Name your wolfs",type=wolf,sort=random,limit=1] {CustomName:'{"text":"Sephora"}'}
execute if score time time matches 17 run data merge entity @e[name="Name your wolfs",type=wolf,sort=random,limit=1] {CustomName:'{"text":"Anika"}'}
execute if score time time matches 18 run data merge entity @e[name="Name your wolfs",type=wolf,sort=random,limit=1] {CustomName:'{"text":"Ebony"}'}
execute if score time time matches 19 run data merge entity @e[name="Name your wolfs",type=wolf,sort=random,limit=1] {CustomName:'{"text":"Aurora"}'}
execute if score time time matches 20 run data merge entity @e[name="Name your wolfs",type=wolf,sort=random,limit=1] {CustomName:'{"text":"Luna"}'}